The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

URL click reporting request

Prev Next

Retrieves URL click reports.

GET https://<etp_instance_addr>/api/v2/public/alerts/<alert_id>/urlclickreport

Use the alert ID from the alert search response (this is a part of the API endpoint URL).

Required header

x-fireeye-api-key: <key>—Specifies your personal API key (For FireEye IAM users)

Authorization: Bearer xxxx - Specifies your API access token (For Trellix IAM users)

Content-Type: application/json—Specifies that the server's response body is expected to be in JSON format.

Example URL click reporting request

curl - X GET --location 'https://<etp_instance_addr>/api/v2/public/alerts/<alert_id>/urlclickreport --header 'x-fireeye-api-key: xxxxx'

URL click report sample response

{                                                                                                                                  
 "data": 
        {
            "sha256": "708a9690e86ef9ba39f739b75dbed877d6e690238bf32c9b32ad3582db059d2b",
            "url": "hxxp://faudetest.net/faude-qa-test-url-classifier-classifier_object/1341418201abcdrakegggwtm.html", 
            "url_click_missed": [ 1652446605966, 1652446615413],
            "url_click_blocked": [ 1652447410855 ]
         },
 "type": "url click report"
}